import 'package:intl/intl.dart';

class Strings {
  static const String helperStep1 =
      """Вимкніть оптимізацію батареї для цього додатку перед його використанням, якщо Ви не зробили цього раніше. Це запобіжить переходу цього додатку в сплячий режим і додаток зможе коректно функціонувати.
""";

  static const String helperStep2 =
      """Додайте телефони на які Ви бажаєте отримувати SMS оповіщення зі статусом наявності світла. Переконайтесь, чи Ваш телефон може відправити смс на вказані номери (вартість надсилання SMS на вказані Вами згідно тарифів Вашого оператора, додаток не змімає ніякої плати за SMS).""";

  static const String helperStep3 =
      """Підключіть телефон до розетки і залиште на зарядці (смартфон в цей момент не має використовуватись). Як тільки енергозабезпечення буде відновлено або вимкнено, акумулятор Вашого телефону почне заряджатись або припинить зарядку, додаток повідомить Вам про це SMS повідомленнями на вказані Вами номери телефонів.""";

  static const String powerStatusCharging = 'Статус: підключено до живлення';
  static const String powerStatusDischarging =
      'Статус: не підключено до живлення';

  static const String addNumber = 'Додати номер';
  static const String changeNumber = 'Змінити';
  static const String deleteNumber = 'Видалити';

  static const String smsPermissionTip =
      'Для того, щоб додаток зміг відправляти SMS на вказані Вами телефонні номери, Ви маєте дозволити додатку надсилати SMS повідомлення. Без цього дозволу додаток не зможе оповіщати Вас. Бажаєте надати доступ?';

  static const String smsPermissionsDeniedTip =
      'Схоже Ви вже додали хоча б один номер, але не надали доступу для надсилання SMS повідомлень на вказані Вами телефонні номери. Додаток не зможе оповістити Вас допоки доступ не буде надано. Надайте його в налаштуваннях свого телефону або перевстановіть додаток.';

  static const String wifiPermissionTip =
      'Зверніть увагу! Ви також можете отримувати сповіщення про наявність електропостачання на основі того, чи підключено Ваш телефон до роутеру по Wifi. Для цього натисніть на цей блок. Вам буде запропоновано надати доступ до Wifi підключень.';

  static const String mapPermissionTip =
      'Ви можете переглядати на карті де є світло в режимі реального часу. Ця функція працює по принципу взаємодопомоги. Надайте додатку доступ анонімно поширювати Вашу геолокацію на сервер, щоб бачити на карті статуси автоматично надані іншими користувачами додатку, які дозволили поширювати геолокацію.';

  static String confirmDeleteNumber({
    required String number,
  }) {
    return 'Ви підтверджуєте видалення номеру $number для отримання оповіщень?';
  }

  static const String phonesIsEmpty =
      'Ви ще не додали ні одного номеру для SMS оповіщень. Додайте новий номер нажавши на кнопку зі знаком "плюс".';

  static String smsMessagePowerOn() {
    final DateTime now = DateTime.now();
    final DateFormat formatter = DateFormat('yyyy-MM-dd HH:mm');
    final String date = formatter.format(now);
    return 'Електропостачання відновлено ($date)';
  }

  static String smsMessagePowerOff() {
    final DateTime now = DateTime.now();
    final DateFormat formatter = DateFormat('yyyy-MM-dd HH:mm');
    final String date = formatter.format(now);
    return 'Електропостачання вимкнено ($date)';
  }

  static const String mapGeoThanksMessage =
      'Дякуємо, що долучились до нашої спільноти! Чим більше нас, тим більше буде актуалізована інформація. Наразі дана функція ще тестується і доступна не для всіх користувачів. Найближчим часом Ви отримаєте оновлення і на карті буде відображатись статус інших пристроїв.';
}
